/***************
    
    High Noon Main Styles
    2025 - Loop: Design for Social Good
    https://weareloop.com/
 
    This file contains the main styles for the High Noon theme.
    It includes global variables, typography, and other styles.
 
    @package High Noon Theme
    @version 1.0.0

***************/
/* TikTok Sans via Google Fonts */
@import url('https://fonts.googleapis.com/css2?family=TikTok+Sans:opsz,wght@12..36,800..900&display=swap');
/* Newake via self hosting */
@font-face {
  font-family: 'Newake'; /* Name to use in CSS */
  src: url('../fonts/newake-font-regular-webfont.woff2') format('woff2'), /* Modern format */
       url('../fonts/newake-font-regular-webfont.woff.woff') format('woff');   /* Older format */
  font-weight: 400;
  font-style: normal;
}

/*******************************/
/*  START :: Global Variables  */
/*******************************/
:root {
     /* SIZING UNITS */
    --Sizing-Units-XL: 88px;
    --Sizing-Units-L: 66px;
    --Sizing-Units-M: 44px;
    --Sizing-Units-S: 36px;
    --Sizing-Units-XS: 26px;
    --Sizing-Units-2XS: 16px;
    --Sizing-Units-3XS: 8px;
    --Number-Scale-Margins-Desktop: 72px;
    --Number-Scale-Margins-Small-Desktop: 60px;
    --Number-Scale-Margins-Tablet: 36px;
    --Number-Scale-Margins-Mobile: 18px;

    /* BORDER RADII */
    --border-radius-btn: 15px;
    --border-radius-btn-mobile: 10px;
    --border-radius-img: 24px;
    --border-radius-img-mobile: 16px;

    /* BOX SHADOW */
    --box-shadow: 0 4px 4px rgba(12, 12, 13, .05), 0 16px 16px rgba(12, 12, 13, .10);

    /* CONTENT PADDING */
    --content-padding: 72px;
    --content-margin-top: 26px;
    --content-padding-top: 200px;
    --content-padding-bottom: 50px;
    --btn-spacing-top: var(--Sizing-Units-S);
    --rich-text-spacing-top: var(--Sizing-Units-XS);
    
    /* COLORS */
    --black: #000;
    --white: #fff;
    --gray: #aaa;
    --light: #ddd;
    --gray-light: var(--light);

    --Primary-Dark: #005374;
        --navy: var(--Primary-Dark);
    --Row-Background: #F6F6F6;
       --light-grey: var(--Row-Background);
    --Light-Blue: #39CCED;
        --light-blue: var(--Light-Blue);
    --Secondary-Dark: #073143;
        --deep-navy: var(--Secondary-Dark);
    --Teal: #00FACB;
        --teal: var(--Teal);
    --Orange: #F7882A;
        --orange: var(--Orange);
    --Yellow: #FFC907;
        --yellow: var(--Yellow);
    --Text-Black: #1A1A1A;
    --White: var(--white);

    /* FONTS */
    --font-button: "Newake", sans-serif; /* used for buttons */
    --font-headline: "TikTok Sans", sans-serif; /* used for headlines */
    --font-content: "avenir-lt-pro", sans-serif;

    /* ICONS */
    --arrow: url(/wp-content/uploads/vos-button-arrow-black.svg);
    --arrow-diagonal: url(/wp-content/uploads/vos-button-arrow-black);
    --minus: url(/wp-content/uploads/vos-faqs-minus-orange.svg);
    --plus: url(/wp-content/uploads/vos-faqs-plus-orange.svg);
    
    
    --caret: url(/wp-content/uploads/caret.svg);

    /* MISC */
    --body: url(/wp-content/uploads/visions-of-science-paper-texture.webp);
    --body-mobile: url(/wp-content/uploads/visions-of-science-paper-texture-mobile-2.webp);
    --body-mobile-mirror: url(/wp-content/uploads/visions-of-science-paper-texture-mobile-mirror.webp);
    --brand-focus: var(--orange);
    --brand-selection-bkg: var(--deep-navy);
    --brand-selection-text: var(--teal);
    --Hero-Transition-Gradient: linear-gradient(180deg, #005374 0%, rgba(0, 83, 116, 0) 100%);
    --scrollbarWidth: 0px;
    --viewportWidth: calc(100vw - var(--scrollbarWidth));
}
/* Large Desktop */
@media only screen and (max-width: 1366px) {
    :root { --content-padding: var(--Number-Scale-Margins-Small-Desktop); } 
}
/* Tablet */
@media only screen and (max-width: 992px) {
    :root { 
        --content-padding: var(--Number-Scale-Margins-Tablet);
    } 
}
/* Mobile */
@media only screen and (max-width: 768px) {
    :root { 
        --content-padding: var(--Number-Scale-Margins-Mobile);
        --content-padding-top: 16px;
        --content-padding-bottom: 16px;
        --btn-spacing-top: var(--Sizing-Units-XS);
    } 
}
/******************************/
/*  END  :: Global Variables  */
/******************************/
/************************************/
/*  START :: BB Editor & Assistant  */
/************************************/

/* hide Assistant Pro plugin floating pencil icon  */
.fl-asst-plugin {
    /* display: none; */
}
/* add space so templates can be viewed, hidden behind nav */
.single-fl-builder-template .fl-builder-content,
/* add space so first row can be edited, controls aren't hidden behind nav */
.fl-builder-edit .fl-builder-content {
    padding-top: var(--header-height);
}
/* remove strange 4px inset of editor overlay */
.fl-builder-edit .fl-inline-editor {
    bottom: -4px;
    left: -4px;
    right: -4px;
}
/* reset BB edit overlay so actions panels are at correct position */
.fl-builder-edit .fl-drop-target,
.fl-builder-edit .fl-block-overlay,
.fl-builder-edit .fl-inline-editor {
    background-color: transparent !important;
    margin-top: 0;
    padding-top: 0;
}
/* prevent BB from changing color of action icons in BB overlay when colors of parent columns are set */
.fl-builder-edit .fl-block-overlay-actions svg path,
.fl-builder-edit .fl-block-overlay-actions i {
    color: #fff !important;
}
/* prevent BB submenu drop downs from adopting custom ul styling */
body.fl-builder-edit ul.fl-builder-submenu {
    list-style: unset;
    padding-inline-start: 0;
}
body.fl-builder-edit ul.fl-builder-submenu li::before {
    display: none;
}
/* adds missing eye icon for bb visibility functionality */
.fa-eye:before {
    content: url(/wp-content/uploads/fa-eye.svg);
}
#wp-auth-check-wrap #wp-auth-check {
    background: #000;
}
#wp-auth-check-wrap .wp-auth-check-close {
    color: #fff;
}
/************************************/
/*  END   :: BB Editor & Assistant  */
/************************************/
/*********************************************/
/*  START :: Base Style Guide for Dev Pages  */
/*********************************************/
:root{
    --accent: #707070;
}
.base-style-guide > div {
    padding-bottom: 32px;
}
.base-style-guide div:has(> .base-style-guide--section-label) {
    display: block;
    border-top: 1px solid var(--accent, #707070);
    margin: 0 0 70px;
}
.base-style-guide h2.base-style-guide--section-label  {
    background: var(--accent, #707070);
    border-radius: 0px 0px 12px 12px;
    color: var(--white, #fff);
    display: inline-block;
    font-family: var(--font-content);
    font-size: 21px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    padding: 5px 17px !important;
    width: fit-content;
}
.base-style-guide .base-style-guide--section-heading {
    color: var(--Gray, #C1BFBB);
    font-family: var(--font-content);
    font-size: 20px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    margin: 70px 10px 20px;
}
.base-style-guide .base-style-guide--palette > .fl-col-content {
    border-radius: 20px;
    font-weight: 600;
    margin: 10px;
    min-height: 265px;
    padding: 30px;
}
.base-style-guide .fl-col-group-equal-height {
    margin-bottom: 36px;
}
/*********************************************/
/*  END   :: Base Style Guide for Dev Pages  */
/*********************************************/
/*********************************/
/*  START :: Framework Settings  */
/*********************************/
html, body { 
    color: var(--Text-Black);
    font-family: var(--font-content);
    font-optical-sizing: auto;
    font-size: inherit; /* to reset to browser default of 16px for accessibility */
    overflow-x: clip;
}
.background-image--texture .fl-row-content-wrap {
    background: 
        border-box var(--body) no-repeat fixed center top, 
        var(--Primary-Dark);
    background-size: 1400px !important;
}
/* when the row .background-image--texture follows a .hero row */ 
/*  or when the row .background-image--texture follows the .hero--fullscreen-tabs row */ 
/*  or when the row .background-image--texture is a .hero row */ 
.hero + .background-image--texture .fl-row-content-wrap, 
.hero--fullscreen-tabs + .background-image--texture .fl-row-content-wrap, 
.hero.background-image--texture .fl-row-content-wrap { 
    /* include hero transition gradient in background */
    background: 
        var(--Hero-Transition-Gradient), 
        border-box var(--body) no-repeat fixed center top, 
        var(--Primary-Dark);
}
/* Desktop */
@media screen and (min-width: 1366px) {
    .background-image--texture .fl-row-content-wrap {
        background-size: cover !important;
    }
}
/* Mobile */
@media only screen and (max-width: 768px) {
    /* rework textured background on mobile all devices, background-attachment fixed is too buggy to make work */
    .background-image--texture .fl-row-content-wrap {
        background: 
            border-box var(--body-mobile-mirror) center top, 
            var(--Primary-Dark);
        background-attachment: scroll !important;
        background-repeat: repeat;
        background-size: 768px !important;
    }
    /* when the row .background-image--texture follows a .hero row */ 
    /*  or when the row .background-image--texture follows the .hero--fullscreen-tabs row */ 
    /*  or when the row .background-image--texture is a .hero row */ 
    .hero + .background-image--texture .fl-row-content-wrap, 
    .hero--fullscreen-tabs + .background-image--texture .fl-row-content-wrap, 
    .hero.background-image--texture .fl-row-content-wrap { 
        background: 
            border-box var(--body-mobile-mirror) center top, 
            var(--Primary-Dark);
        background-attachment: scroll !important;
        background-repeat: repeat;
        background-size: 768px !important;
    }
    .hero + .background-image--texture .fl-row-content-wrap::before, 
    .hero--fullscreen-tabs + .background-image--texture .fl-row-content-wrap::before, 
    .hero.background-image--texture .fl-row-content-wrap::before { 
        background: var(--Hero-Transition-Gradient);
        content: "";
        height: 20px;
        left: 0;
        pointer-events: none;
        position: absolute;
        right: 0;
        top: 0;
        z-index: 0;
    }
}


/* .fl-page-content {
    padding-top:var(--content-padding-top);
    padding-bottom:var(--content-padding-bottom);
} */
.fl-row:not(.nopadding) >.fl-row-content-wrap >.fl-row-content {
    padding-left: var(--content-padding);
    padding-right: var(--content-padding);
}

/* sets padding default for all rows, can be overridden individually in BB */
.fl-row > div {
    padding-top: var(--Sizing-Units-L);
    padding-bottom: var(--Sizing-Units-L);
}
/* sets margin default for all rich text, can be overridden individually in BB */
.fl-module-rich-text > div, /* old bb markup */
.fl-module-rich-text:not(:has( > div))/* new bb markup */,
.fl-builder-edit .fl-module-rich-text:not(:has( > div:not(.fl-module-overlay)))/* prevents buggy margin jump when in editor */ {
    margin-top: var(--rich-text-spacing-top);
}
/* sets margin default for all buttons, can be overridden individually in BB */
.fl-module-button > div, /* old bb markup */
.fl-module-button:not(:has( > div)), /* new bb markup */
.fl-builder-edit .fl-module-button:not(:has( > div:not(.fl-module-overlay))), /* old bb markup :: prevents buggy margin jump when in editor */
.fl-builder-edit .fl-module-button:has( > div.fl-inline-editor), /* new bb markup ::prevents buggy margin jump when in editor */
.fl-module-button-group:not(.anchorlinks) > div{
    margin-top: var(--btn-spacing-top);
}
/* sets padding default for all buttons in button groups, can be overridden individually in BB */
.fl-module-button-group .fl-button-group-buttons > div {
    padding-top: var(--btn-spacing-top); /* "Button Spacing" in BB button groups uses padding instead of margin */
}
/* resets padding default for first button in button groups */
.fl-module-button-group .fl-button-group-buttons > div:first-of-type {
    padding-top: 0; /* "Button Spacing" in BB button groups uses padding instead of margin */
}
/* resets margin default for all button groups, since padding is handled by each button in group */
div:first-of-type.fl-module-button-group > div {
    margin-top: 0;
}
p + p, p + ul, p + ol,
ul + p, ul + ul, ul + ol,
ol + p, ol + ul, ol + ol { 
    margin-top: var(--Sizing-Units-S); 
}
/* Focus state */
body:not(.fl-builder-edit) :focus,
.fl-tabs-horizontal .fl-tabs-label.fl-tab-active:focus  {
    outline-width: 2px;
    outline-style: auto;
    outline-offset: 5px;
    outline-color: var(--brand-focus);
}
body:not(.fl-builder-edit) .hidefocus:focus {
    box-shadow: none !important;
    outline: none !important;
    border: none;
}
button[aria-label="Assistant"] {display:none !important;}

/* Tablet */
@media only screen and (max-width: 992px) {
    .fl-row > div {
        padding-top: var(--Sizing-Units-M);
        padding-bottom: var(--Sizing-Units-M);
    }
}
/* Mobile */
@media only screen and (max-width: 768px) {
    .fl-row > div {
        padding-top: var(--Sizing-Units-S);
        padding-bottom: var(--Sizing-Units-S);
    }
    /* sets margin default for all rich text, can be overridden individually in BB */
    .fl-module-rich-text > div, /* old bb markup */
    .fl-module-rich-text:not(:has( > div))/* new bb markup */,
    .fl-builder-edit .fl-module-rich-text:not(:has( > div:not(.fl-module-overlay)))/* prevents buggy margin jump when in editor */ {
        margin-top: var(--Sizing-Units-2XS);
    }
    /* sets margin default for all buttons, can be overridden individually in BB */
    .fl-module-button > div, /* old bb markup */
    .fl-module-button:not(:has( > div)), /* new bb markup */
    .fl-builder-edit .fl-module-button:not(:has( > div:not(.fl-module-overlay))), /* old bb markup :: prevents buggy margin jump when in editor */
    .fl-builder-edit .fl-module-button:has( > div.fl-inline-editor), /* new bb markup ::prevents buggy margin jump when in editor */
    .fl-module-button-group:not(.anchorlinks) > div{
        margin-top: var(--Sizing-Units-XS);
    }
}

/* 404 page */
.e-404 .fl-row-content-wrap {
    color: var(--white);
    padding-block: 300px 150px;
    text-align: center;
}
.e-404 .fl-row-content-wrap h1 {
    color: currentColor;
}
.e-404 .fl-row-content-wrap  p {
    margin-top: 16px;
}
/* Tablet */
@media only screen and (max-width: 992px) {
    .e-404 .fl-row-content-wrap {
        padding-block: 250px 66px;
    }
}
/*********************************/
/*  END   :: Framework Settings  */
/*********************************/

/*************************/
/*  START :: Typography  */
/*************************/
h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
    color: var(--Primary-Dark);   
    font-family: var(--font-headline);
    font-optical-sizing: auto;
    font-style: normal;
    /* font-weight: 800; */
    font-variation-settings:
        "slnt" 0,
        "wdth" 100;
    margin-bottom: 0px;
    margin-top: 0px;
    text-wrap: balance;
    word-wrap: normal;
}
h1 span, .h1 span, .h1 .fl-heading span {
    color: var(--teal) !important;
}
h1, .h1, .h1 p, .h1 .fl-heading {
    font-size: 72px;
    font-size: 4.5rem;
    font-weight: 800;
    /* letter-spacing: 1.56px;
    letter-spacing: 0.1rem; */
    line-height: 78px;
    line-height: 4.88rem;
}
h2, .h2, .h2 p, .h2 .fl-heading {
    font-size: 56px;
    font-size: 3.5rem;
    font-weight: 800;
    /* letter-spacing: 1.16px;
    letter-spacing: 0.07rem; */
    line-height: 62px;
    line-height: 3.88rem;
}
h3, .h3, .h3 p, .h3 .fl-heading {
    font-size: 40px;
    font-size: 2.5rem;
    /* letter-spacing: 0.8px;
    letter-spacing: 0.05rem; */
    font-weight: 900;
    line-height: 47px; 
    line-height: 2.94rem; 
}
h4, .h4, .h4 p, .h4 .fl-heading {
    font-size: 28px;
    font-size: 1.75rem;
    font-weight: 900;
    /* letter-spacing: 1.4px;
    letter-spacing: 0.09rem; */
    line-height: 36px;
    line-height: 2.25rem;
}

p, .p, ul, ol {
    font-family: var(--font-content);
    font-size: 18px;
    font-size: 1.13rem;
    font-weight: 400;
    line-height: 29px; 
    line-height: 1.81rem; 
    margin: 0;
    text-wrap: pretty;
}
.large, p.large, p .large, .large p,
.large ol, ol.large, .large ul, ul.large {
    font-family: var(--font-content);
    font-size: 22px;
    font-size: 1.38rem;
    font-weight: 400;
    line-height: 34px; 
    line-height: 2.13rem; 
}
.small, p.small, p .small, .small p,
.small ol, ol.small, .small ul, ul.small {
    font-family: var(--font-content);
    font-size: 17px;
    font-size: 1.06rem;
    font-weight: 400;
    line-height: 26px; 
    line-height: 1.63rem; 
}

blockquote p {
    font-family: var(--font-content);
    font-size: 26px;
    font-size: 1.63rem;
    font-weight: 800;
    line-height: 37px;
    line-height: 2.31rem;
}
blockquote {
    padding: 0;
    margin: 0;
    border: 0;
}

/* Mobile */
@media only screen and (max-width: 768px) {
    h1, .h1, .h1 p, .h1 .fl-heading {
        font-size: 48px;
        font-size: 3rem;
        /* letter-spacing: 1px;
        letter-spacing: 0.06rem; */
        line-height: 58px;
        line-height: 3.63rem;
    }
    h2, .h2, .h2 p, .h2 .fl-heading {
        font-size: 38px;
        font-size: 2.38rem;
        /* letter-spacing: 0.84px;
        letter-spacing: 0.05rem; */
        line-height: 46px;
        line-height: 2.88rem;
    }
    h3, .h3, .h3 p, .h3 .fl-heading {
        font-size: 34px;
        font-size: 2.13rem;
        /* letter-spacing: 0.68px;
        letter-spacing: 0.04rem; */
        line-height: 40px;
        line-height: 2.5rem;
    }
    h4, .h4, .h4 p, .h4 .fl-heading {
        font-size: 26px;
        font-size: 1.63rem;
        /* letter-spacing: 1.3px;
        letter-spacing: 0.08rem; */
        line-height: 36px;
        line-height: 2.25rem;
    }
    p, .p, ul, ol { 
        font-weight: 350;
    }
    .large, p.large, p .large, .large p,
    .large ol, ol.large, .large ul, ul.large {
        font-size: 20px;
        font-size: 1.25rem;
        font-weight: 350;
        line-height: 30px;
        line-height: 1.88rem;
    }
    .small, p.small, p .small, .small p,
    .small ol, ol.small, .small ul, ul.small {
        font-weight: 350;
    }
    blockquote p {
        font-size: 22px;
        font-size: 1.38rem;
        line-height: 31px;
        line-height: 1.94rem;
    }  
}

ul, ol {
    padding-inline-start: 21px;
}
ul { list-style-type: disc; }
ul ul { list-style-type: circle; }
ol { list-style-type: decimal; }
ol ol { list-style-type: lower-alpha; }
/* any list inside a list */
:is(ul,ol) :is(ul,ol) { margin: calc(var(--content-margin-top) / 2) 0; }
/* any of these elements that are siblings */
:is(p,ul,ol,blockquote) + :is(p,ul,ol,blockquote){ margin-top: var(--content-margin-top); }

/* .large any list inside a list */
.large :is(ul,ol) :is(ul,ol) { margin: var(--content-margin-top-large) 0; }
/* .large any of these elements that are siblings */
.large :is(p,ul,ol,blockquote) + :is(p,ul,ol,blockquote){ margin-top: var(--content-margin-top-large); }

/* Mobile */
@media only screen and (max-width: 768px) {
   /* any list inside a list */
    :is(ul,ol) :is(ul,ol) { margin: calc(var(--content-margin-top) - 10px) 0; }
    /* any of these elements that are siblings */
    :is(p,ul,ol,blockquote) + :is(p,ul,ol,blockquote){ margin-top: calc(var(--content-margin-top) - 10px) }

    /* .large any list inside a list */
    .large :is(ul,ol) :is(ul,ol) { margin: calc(var(--content-margin-top-large) - 10px) 0; }
    /* .large any of these elements that are siblings */
    .large :is(p,ul,ol,blockquote) + :is(p,ul,ol,blockquote){ margin-top: calc(var(--content-margin-top-large) - 10px) }
}

/* ul if preceeding p contains strong tag == title for ul */
p strong { font-weight: 700 !important; }
p:has(strong) + :is(ul,ol){ margin-top: 0; }

/* custom styles for lists */

.fl-page-content .fl-module-rich-text ol,
.fl-page-content .fl-module-rich-text ul {
    margin-left: 14px;
    padding-inline-start: 18px;
}
.fl-page-content .fl-module-rich-text.large ul:not(.fl-builder-submenu) {
    margin-left: 18px;
    padding-inline-start: 28px;
}

/* custom markers */
.fl-page-content .fl-module-rich-text ul, 
.fl-page-content .fl-accordion-content ul {
    list-style: none;
}
.fl-page-content .fl-module-rich-text ul li,
.fl-page-content .fl-accordion-content ul li {
    position: relative
}

.fl-page-content .fl-module-rich-text ul > li:marker,
.fl-page-content .fl-accordion-content ul > li:marker {
    font-size: 0em;
}
.fl-page-content .fl-module-rich-text ul > li::before,
.fl-page-content .fl-accordion-content ul > li::before {
    content: "•";
    font-size: 1em;
    height: 30px;
    left: -20px;
    position: absolute;
    width: 13px;

    /* background-color: currentColor;
    -webkit-mask: url(/wp-content/uploads/hoofprint-tiny.svg) no-repeat center center;
    mask: url(/wp-content/uploads/hoofprint-tiny.svg) no-repeat center center;
    -webkit-mask-size: contain;
    mask-size: contain; */
}
.fl-page-content .fl-module-rich-text.large ul > li::before,
.fl-page-content .fl-accordion-content.large ul > li::before {
    height: 30px;
    left: -30px;
    width: 13px;
}

/* branded styling for selected text in the browser */
::selection { 
    background-color: var(--brand-selection-bkg);
    color: var(--brand-selection-text);
}

/*************************/
/*  END   :: Typography  */
/*************************/

/******************************/
/*  START :: Buttons & Links  */
/******************************/
/*
    Classes are added to the button modules:
        .buttonlink     .noarrow

  
*/
:root {
    /* --btn-icon-gap: var(--Sizing-Units-2XS); */
    --btn-icon-gap: 12px;
    --btn-icon-gap-hover: 23px;
    --btn-icon-gap-mobile: 12px;
    --btn-icon-gap-mobile-hover: 12px;
    --btn-letter-spacing: 1px;
    --btn-letter-spacing-light: 1.5px;
    --btn-link-letter-spacing: 0.95px;
    --btn-link-letter-spacing-light: 1.45px;
    --btn-padding: 17px 39px 16px;
    --btn-padding-alt: 15px 35px 16px;
    --btn-padding-mobile: 16px 26px;
    --btn-link-color: inherit;
    --btn-underline-color: currentColor;
    --btn-icon-color: currentColor;
}
/* resets bb-theme skin */
a.fl-button *, a.fl-button:visited * {
    color: var(--btn-link-color);
}

/* default styles for all buttons */
.fl-builder-content .fl-module-button a.fl-button,
.fl-builder-content .fl-module-button-group a.fl-button,
.fl-builder-content .tab-cta-button a.fl-button,
div.wpforms-container-full button.wpforms-submit,
.button-branded {
    font-family: var(--font-button);
    font-size: 20px;
    font-size: 1.25rem;
    font-style: normal;
    font-weight: 400;
    letter-spacing: var(--btn-letter-spacing);
    line-height: normal;

    /* disables clashing selection colors on buttons */
        -webkit-user-select:none;
    user-select:none;
}
.fl-builder-content .fl-module-button.light_on_dark a.fl-button {
    letter-spacing: var(--btn-letter-spacing-light);
}
.fl-builder-content .fl-module-button.buttonlink a.fl-button {
    letter-spacing: var(--btn-link-letter-spacing);
}
.fl-builder-content .fl-module-button.buttonlink.light_on_dark a.fl-button {
    letter-spacing: var(--btn-link-letter-spacing-light);
}

/* separates styles for buttons with backgrounds */
.fl-module-button:not(.buttonlink) a.fl-button,
.button-branded a.fl-button,
div.wpforms-container-full .wpforms-form button.wpforms-submit,
a.button-branded { 
    /* background: none; */
    padding: var(--btn-padding);
    border-radius: var(--border-radius-btn);
    transition: all .25s ease-in-out;
}

/* sets up buttons with icons */
a.fl-button span {
     /* inherit color from a.fl-button */
    color: var(--btn-link-color);
    align-items: center;
    display: inline-flex !important;
    gap: var(--btn-icon-gap);
}

.cta_button a.fl-button {
    font-family: var(--font-content);
    font-size: 18px;
    font-size: 1.13rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    padding: var(--btn-padding);
    border-radius: var(--border-radius-btn);
    border:transparent;
    transition:all .25s ease-in-out;
}

.cta_button a.fl-button:after {
    font-family: 'Font Awesome 5 Pro';
    content:"\f178";
    font-weight: 700;
    padding-left: 10px;
    position: relative;
    top: 1px;
    transition:all .25s ease-in-out;
    display:inline-block;
}

a.uabb-creative-button {transition: all .25s ease-in-out;}

/* sets hover state for most buttons */
.cta_button a.fl-button:hover,
.cta_button a.fl-button:focus,
.fl-module-button:not(.buttonlink) a.fl-button:hover,
.fl-module-button:not(.buttonlink) a.fl-button:focus,
/* div.wpforms-container-full button.wpforms-submit:hover, */
a.button-branded:hover,
a.button-branded:focus,
a.uabb-creative-button:hover,
a.uabb-creative-button:focus {
    transform: scale(1.05);
    transform: scale3d(1.05, 1.05, 1.05); /* testing performance of scale on hover */
}

.cta_button a.fl-button:hover span::after,
.cta_button a.fl-button:focus span::after,
.fl-module-button:not(.buttonlink) a.fl-button:hover span::after,
.fl-module-button:not(.buttonlink) a.fl-button:focus span::after,
/* div.wpforms-container-full button.wpforms-submit:hover span:after, */
a.button-branded:hover span::after,
a.button-branded:focus span::after {
    transform: translateX(calc(var(--btn-icon-gap-hover) - var(--btn-icon-gap)));
}
/* sets default transition for most buttons */
.fl-module-button a.fl-button::after,
.fl-module-button a.fl-button,
.fl-module-button a.fl-button span,
div.wpforms-container-full button.wpforms-submit {
    transition: all .25s ease-in-out;
}

/* disabled – the combo of scale + icon padding on hover disrupts the layout flow of sibling containers */
/* .cta_button a.fl-button:hover:after,
.cta_button a.fl-button:focus:after {
    padding-left: var(--btn-icon-gap-hover);
} */

/* default styles for inline links */
.fl-builder-content p a:not(.buttonlink), 
.fl-builder-content ol a:not(.buttonlink), 
.fl-builder-content ul a:not(.buttonlink) {
        --btn-link-color: currentColor;
        --btn-underline-color: currentColor;
    color: var(--btn-link-color) !important;
    position: relative;
    text-decoration: none;
    background-image: linear-gradient(var(--btn-underline-color), var(--btn-underline-color));
    background-repeat: no-repeat;
    background-position: bottom left;
    background-size: 100% 1px;
    transition: background-size 250ms ease-in-out;
    display:inline;
    font-weight: bold;
}

.fl-builder-content p a:not(.buttonlink):hover, 
.fl-builder-content ol a:not(.buttonlink):hover, 
.fl-builder-content ul a:not(.buttonlink):hover {
    color: var(--btn-link-color);
    text-decoration: none;
    animation: 0.3s underline ease-in;
}

@keyframes underline {
    from {background-size: 0% 1px;}
    to {background-size: 100% 1px;}
}
@keyframes underline3 {
    from {background-size: 0% 3px;}
    to {background-size: 100% 3px;}
}

/* buttons w icons */
a.buttonlink, .buttonlink a {
    font-size: 18px;
    font-size: 1.13rem;
    line-height: normal;
    font-weight: 700;
}

.fl-builder-content .buttonlink a.fl-button,
.fl-builder-content a.buttonlink {

    align-items: center;
    background-color: inherit;
    border: none;
    border-radius: 0;
    display: inline-block;
    display: inline-flex;
    /* gap: 12px; */
    line-height: 1.5;
    padding: 0;
    padding-bottom: 2px; /* extra spacing between text and underline */
    padding-right: calc(var(--btn-icon-gap) + 10px); /* apply padding as far as the arrow goes, to avoid glitchiness on hover */

    text-decoration: none;
    background-image: linear-gradient(var(--btn-underline-color), var(--btn-underline-color));
    background-repeat: no-repeat;
    background-position: bottom left;
    background-size: calc(100% - var(--btn-icon-gap) + 1px) 1px; /* minus gap for the icon's rest state */
    transition: background-size 250ms ease-in-out;
    display:inline;
}
/* mobile only */
@media only screen and (max-width: 768px) {
    .fl-builder-content .buttonlink a.fl-button,
    .fl-builder-content a.buttonlink {
        padding-bottom: 2px; /* extra spacing between text and underline */
    }
}

/* custom color underlines */
.fl-builder-content .buttonlink.underline_orange a.fl-button,
.fl-builder-content a.buttonlink.underline_orange {
    --btn-underline-color: var(--orange);
}
.fl-builder-content .buttonlink.underline_yellow a.fl-button,
.fl-builder-content a.buttonlink.underline_yellow {
    --btn-underline-color: var(--yellow);
}

.fl-builder-content .buttonlink a.fl-button span {
    display: inline-flex;
}

.buttonlink .fl-button-wrap,
.arrowlink .fl-button-wrap {
    line-height: 0; /* removes odd extra gap below a */
}


.fl-builder-content .buttonlink a.fl-button:hover,
.fl-builder-content a.buttonlink:hover {
    text-decoration: none;
    background-size: calc(100% - 0px) 1px; /* minus gap for the icon's rest state */
}   

a.buttonlink:not(.noarrow) span,
.buttonlink:not(.noarrow) a.fl-button span {
    /* unsets the gap between the text and icon*/
    gap: 0;
    display: inline !important;
}
a.buttonlink:not(.noarrow)::after,
.buttonlink:not(.noarrow) a.fl-button span::after {
    /* sets the gap between the text and icon*/
    transform: translateX(var(--btn-icon-gap));

}

a.buttonlink:not(.noarrow):hover::after,
.buttonlink:not(.noarrow) a.fl-button:hover span::after {
    /* sets the gap between the text and icon on hover */
    transform: translateX(var(--btn-icon-gap-hover));
}

/* removes arrow icon */
.noarrow a.fl-button:after {
    display: none;
}

a.arrow_left::before,
a.arrow_right::after,
button.arrow_left::before,
button.arrow_right::after,
.arrow_left a.fl-button span.fl-button-text::before,
.arrow_right a.fl-button span.fl-button-text::after,
.arrow_down a.fl-button span.fl-button-text::after,
button.wpforms-submit::after {   
    content:"";
    height: 13px; /* px won't scale, but rem is glitchy when button is scaled on hover */
    margin-top: 1px;
    position: relative;
    /* top: 5px;
    top: 0.31rem; */
    transition: all .25s ease-in-out;
    width: 16px;
    display: inline-flex;
    /* transform: translateX(12px); */

    /* version using background-image below */
    /* background-image: var(--arrow);
    background-size: contain;
    background-repeat: no-repeat; */

    /* version using mask below */
    background-color: var(--btn-icon-color);
        -webkit-mask: var(--arrow) no-repeat 0% 0%;
    mask: var(--arrow) no-repeat 0% 0%;
        -webkit-mask-size: contain;
    mask-size: contain;
}

.icon_left a.fl-button span.fl-button-text::after,
.icon_left button::after {
    order: -1;
}

a.buttonlink.arrow_left::before,
.buttonlink.arrow_left a.fl-button span::before {
    /* float: left; */
    margin-right: var(--btn-icon-gap);
    /* margin-right: 0.75rem; */
    transform: scalex(-1);
}

a.buttonlink.arrow_right::after,
button.buttonlink.arrow_right::after{
    /* float: right; */
    /* margin-left: var(--btn-icon-gap);
    margin-left: .75rem; */
}
a.arrow_down::after,
a.arrow_down:hover::after,
.arrow_down a.fl-button span::after,
.arrow_down a.fl-button:hover span::after {
        --btn-icon-gap: 10px;
    transform: translateX(var(--btn-icon-gap)) rotate(90deg) !important;
}

/* buttons w icons – colors */
a.arrow_orange::before,
a.arrow_orange::after,
button.arrow_orange::before,
button.arrow_orange::after,
.arrow_orange a.fl-button span.fl-button-text::before,
.arrow_orange a.fl-button span.fl-button-text::after {
    --btn-icon-color: var(--orange);
}

/******************************/
/*  END   :: Buttons & Links  */
/******************************/

/**************/
/**************/
/* Responsive */
/**************/
/**************/

/* Mobile */
@media only screen and (max-width: 768px) {
    /******************************/
    /*  START :: Buttons & Links  */
    /******************************/
    
    /* sets margin default for all buttons, can be overridden individually in BB */
    .fl-module-button > div {
        margin-top: var(--Sizing-Units-XS);
    }
    .fl-module-button-group .fl-button-group-buttons > div {
        padding-top: var(--Sizing-Units-XS); /* "Button Spacing" in BB button groups uses padding instead of margin */
    }
    .fl-module-button:not(.arrowlink):not(.buttonlink) a.fl-button,
    div.wpforms-container-full .wpforms-form button.wpforms-submit,
    a.button-branded {
        padding: var(--btn-padding-mobile);
        line-height: normal;
    }
    .fl-module-button:not(.arrowlink):not(.buttonlink) a.fl-button span {
        gap: var(--btn-icon-gap-mobile);
    }

    .fl-module-button-group.arrowlink .fl-button-group-buttons {
        flex-direction: column;
        justify-content: flex-start;
    }

    .fl-builder-content .arrowlink .fl-button-group .fl-button-group-buttons .fl-button-group-button:not(:last-of-type) {
        padding-bottom: 16px;
    }

    .fl-module-button-group.arrowlink .fl-button-group-button:not(:first-of-type) {
        transform: translateX(0px);
    }
    .button-branded .uabb-creative-button-wrap a, 
    .button-branded  .uabb-creative-button-wrap a:visited {
        padding-block: 16px; 
        padding-inline: 26px; 

    }
}